+1 vote
in Operating Systems by (56.5k points)

I am installing docker desktop on Ubuntu 22 using the .deb package. However, "sudo apt install" is giving the following error message: "docker-desktop : Depends: docker-ce-cli but it is not installable".

Before running "sudo apt install", I ran the commands given on docker website to set up the repository. Am I missing anything? What should I do to fix the error?

1 Answer

+2 votes
by (348k points)
selected by
 
Best answer

It seems that you forget to update the apt package index after setting up the repository. Run the following command on the terminal before running "sudo apt-get install ./docker-desktop-<version>-<arch>.deb," and it should fix the error.

sudo apt-get update


...